package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.dormitorysystem.waterelectricity.app.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class WaterElectricitySpecial extends HRBillBase implements IWaterElectricitySpecial
{
    public WaterElectricitySpecial()
    {
        super();
        registerInterface(IWaterElectricitySpecial.class, this);
    }
    public WaterElectricitySpecial(Context ctx)
    {
        super(ctx);
        registerInterface(IWaterElectricitySpecial.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("DBC67230");
    }
    private WaterElectricitySpecialController getController() throws BOSException
    {
        return (WaterElectricitySpecialController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WaterElectricitySpecialCollection getWaterElectricitySpecialCollection() throws BOSException
    {
        try {
            return getController().getWaterElectricitySpecialCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WaterElectricitySpecialCollection getWaterElectricitySpecialCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWaterElectricitySpecialCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WaterElectricitySpecialCollection getWaterElectricitySpecialCollection(String oql) throws BOSException
    {
        try {
            return getController().getWaterElectricitySpecialCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WaterElectricitySpecialInfo getWaterElectricitySpecialInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterElectricitySpecialInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WaterElectricitySpecialInfo getWaterElectricitySpecialInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterElectricitySpecialInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WaterElectricitySpecialInfo getWaterElectricitySpecialInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterElectricitySpecialInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}